Index: c/src/lib/libchip/rtc/m48t08.c
===================================================================
--- c/src/lib/libchip/rtc/m48t08.c	(revision 1177cda0d33e326e6fa7d049c6138c1d5e83d87b)
+++ c/src/lib/libchip/rtc/m48t08.c	(revision cb5e6f681d328e1d33afd42311d5b11343a2701e)
@@ -33,7 +33,7 @@
  */
 
-#define MK48T08_CONTROL_WRITE  0x80
-#define MK48T08_CONTROL_READ   0x40
-#define MK48T08_CONTROL_SIGN   0x20
+#define M48T08_CONTROL_WRITE  0x80
+#define M48T08_CONTROL_READ   0x40
+#define M48T08_CONTROL_SIGN   0x20
 
 /*
@@ -66,7 +66,7 @@
   unsigned32     value2;
 
-  m48t08 = RTC_Port_Tbl[ minor ].ulCtrlPort1;
-  getReg = RTC_Port_Tbl[ minor ].getRegister;
-  setReg = RTC_Port_Tbl[ minor ].setRegister;
+  m48t08 = RTC_Table[ minor ].ulCtrlPort1;
+  getReg = RTC_Table[ minor ].getRegister;
+  setReg = RTC_Table[ minor ].setRegister;
 
   /*
@@ -75,5 +75,5 @@
 
   controlReg = (*getReg)( m48t08, M48T08_CONTROL );
-  (*setReg)( m48t08, M48T08_CONTROL, controlReg | MK48T08_CONTROL_READ );
+  (*setReg)( m48t08, M48T08_CONTROL, controlReg | M48T08_CONTROL_READ );
   
   value1 = (*getReg)( m48t08, M48T08_YEAR );
@@ -99,4 +99,6 @@
   time->second = From_BCD( value1 );
   
+  time->ticks  = 0;
+
   /*
    *  Put the RTC back into normal mode.
@@ -122,7 +124,7 @@
   unsigned8      controlReg;
 
-  m48t08 = RTC_Port_Tbl[ minor ].ulCtrlPort1;
-  getReg = RTC_Port_Tbl[ minor ].getRegister;
-  setReg = RTC_Port_Tbl[ minor ].setRegister;
+  m48t08 = RTC_Table[ minor ].ulCtrlPort1;
+  getReg = RTC_Table[ minor ].getRegister;
+  setReg = RTC_Table[ minor ].setRegister;
 
   /*
@@ -131,5 +133,5 @@
 
   controlReg = (*getReg)( m48t08, M48T08_CONTROL );
-  (*setReg)( m48t08, M48T08_CONTROL, controlReg | MK48T08_CONTROL_WRITE );
+  (*setReg)( m48t08, M48T08_CONTROL, controlReg | M48T08_CONTROL_WRITE );
   
   if ( time->year >= 2088 )
@@ -151,2 +153,13 @@
   return 0;
 }
+
+/*
+ *  Driver function table
+ */
+
+rtc_fns m48t08_fns = {
+  m48t08_initialize,
+  m48t08_get_time,
+  m48t08_set_time
+};
+
Index: c/src/libchip/rtc/m48t08.c
===================================================================
--- c/src/libchip/rtc/m48t08.c	(revision 1177cda0d33e326e6fa7d049c6138c1d5e83d87b)
+++ c/src/libchip/rtc/m48t08.c	(revision cb5e6f681d328e1d33afd42311d5b11343a2701e)
@@ -33,7 +33,7 @@
  */
 
-#define MK48T08_CONTROL_WRITE  0x80
-#define MK48T08_CONTROL_READ   0x40
-#define MK48T08_CONTROL_SIGN   0x20
+#define M48T08_CONTROL_WRITE  0x80
+#define M48T08_CONTROL_READ   0x40
+#define M48T08_CONTROL_SIGN   0x20
 
 /*
@@ -66,7 +66,7 @@
   unsigned32     value2;
 
-  m48t08 = RTC_Port_Tbl[ minor ].ulCtrlPort1;
-  getReg = RTC_Port_Tbl[ minor ].getRegister;
-  setReg = RTC_Port_Tbl[ minor ].setRegister;
+  m48t08 = RTC_Table[ minor ].ulCtrlPort1;
+  getReg = RTC_Table[ minor ].getRegister;
+  setReg = RTC_Table[ minor ].setRegister;
 
   /*
@@ -75,5 +75,5 @@
 
   controlReg = (*getReg)( m48t08, M48T08_CONTROL );
-  (*setReg)( m48t08, M48T08_CONTROL, controlReg | MK48T08_CONTROL_READ );
+  (*setReg)( m48t08, M48T08_CONTROL, controlReg | M48T08_CONTROL_READ );
   
   value1 = (*getReg)( m48t08, M48T08_YEAR );
@@ -99,4 +99,6 @@
   time->second = From_BCD( value1 );
   
+  time->ticks  = 0;
+
   /*
    *  Put the RTC back into normal mode.
@@ -122,7 +124,7 @@
   unsigned8      controlReg;
 
-  m48t08 = RTC_Port_Tbl[ minor ].ulCtrlPort1;
-  getReg = RTC_Port_Tbl[ minor ].getRegister;
-  setReg = RTC_Port_Tbl[ minor ].setRegister;
+  m48t08 = RTC_Table[ minor ].ulCtrlPort1;
+  getReg = RTC_Table[ minor ].getRegister;
+  setReg = RTC_Table[ minor ].setRegister;
 
   /*
@@ -131,5 +133,5 @@
 
   controlReg = (*getReg)( m48t08, M48T08_CONTROL );
-  (*setReg)( m48t08, M48T08_CONTROL, controlReg | MK48T08_CONTROL_WRITE );
+  (*setReg)( m48t08, M48T08_CONTROL, controlReg | M48T08_CONTROL_WRITE );
   
   if ( time->year >= 2088 )
@@ -151,2 +153,13 @@
   return 0;
 }
+
+/*
+ *  Driver function table
+ */
+
+rtc_fns m48t08_fns = {
+  m48t08_initialize,
+  m48t08_get_time,
+  m48t08_set_time
+};
+
